import React, { useState, useEffect } from 'react';
import ProCard from '@ant-design/pro-card';
import { Empty } from 'antd';
import WebMenu from './webMenu';

const MenuConfig = props => {
  const { menu } = props;
  return (
    <>
      {menu ? (
        <div split="vertical">
          <WebMenu {...props} />
        </div>
      ) : (
        <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} />
      )}
    </>
  );
};
export default MenuConfig;
