import { get, post, CITY_SERVICE, PUBLISH_SERVICE } from '@/services/index';

/*
 ** params
 */
// 获取机构树
export const getOUTree = params =>
  get(`${CITY_SERVICE}/OMS.svc/U_GetOUTree?_version=9999&node=-1`, params);
// 获取站点信息
export const getWebModuleTree = params =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetWeb4ModuleTree`, params);

// 新增站点
export const addStation = params =>
  get(`${CITY_SERVICE}/OMS.svc/W4_AddStation`, params);
// 删除站点
export const deleteStation = params =>
  get(`${CITY_SERVICE}/OMS.svc/P_DeleteStation`, params);
// 编辑站点
export const editStation = params =>
  get(`${CITY_SERVICE}/OMS.svc/P_EditStation`, params);
// 保存站点选择人员
export const chooseUserToStation = (params, options) =>
  post(
    `${CITY_SERVICE}/OMS.svc/P_ChooseUserToStation?_version=9999`,
    params,
    options,
  );

// 获取人员
export const getUserByStation = params =>
  get(`${CITY_SERVICE}/OMS.svc/P_GetUserByStation`, params);

// 获取站点一级列表
export const getAllGroup = params =>
  get(`${PUBLISH_SERVICE}/UserCenter/GetAllGroup`, params);

// 获取站点二级列表
export const getStationUserList = params =>
  get(`${PUBLISH_SERVICE}/UserCenter/GetStationUserList`, params);

// 获取站点管理一二级列表+分页
export const groupUserPagingList = params =>
  post(`${PUBLISH_SERVICE}/UserCenter/GroupUserPagingList`, params);
