import { PageContainer } from '@ant-design/pro-layout';
import React from 'react';

const BasePageContainer = props => {
  const { children, ...rest } = props;

  return (
    <PageContainer {...rest} pageHeaderRender={() => null}>
      {children}
    </PageContainer>
  );
};

export default BasePageContainer;
